Skip to main content
GET
/
v1
/
topics
/
breakout
/
{topic_id}
/
story
Get Topic Story View
curl --request GET \
  --url https://api.upriver.ai/v1/topics/breakout/{topic_id}/story \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.upriver.ai/v1/topics/breakout/{topic_id}/story"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.upriver.ai/v1/topics/breakout/{topic_id}/story', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "seed_topic": {
    "topic_id": "<string>",
    "topic_name": "<string>",
    "canonical_name": "<string>",
    "vertical": "<string>",
    "status": "<string>",
    "peak_score": 123,
    "discovered_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "category": "<string>",
    "score": 123,
    "relevance_score": 123,
    "engagement": {
      "percentile_score": 123
    },
    "confidence_score": 123,
    "last_signal_at": "2023-11-07T05:31:56Z",
    "source_summary": {},
    "citations": [
      {
        "source_category": "<string>",
        "source_url": "<string>",
        "title": "<string>",
        "display": "",
        "snippet": "<string>",
        "source_authority": 123,
        "engagement_score": 123,
        "published_at": "2023-11-07T05:31:56Z"
      }
    ],
    "entities": [
      {
        "canonical_name": "<string>",
        "entity_type": "<string>",
        "confidence": 123,
        "entity_id": "<string>",
        "entity_subtype": "<string>"
      }
    ],
    "trend": {
      "momentum": 1
    },
    "citation_rate": [
      {
        "day": "<string>",
        "count": 123
      }
    ],
    "narrative": {
      "narrative_id": "<string>",
      "display_name": "<string>",
      "member_count": 123,
      "arc_summary": [
        "<string>"
      ]
    },
    "event_start_at": "2023-11-07T05:31:56Z",
    "event_end_at": "2023-11-07T05:31:56Z"
  },
  "surface": {
    "story_id": "<string>",
    "member_topic_ids": [
      "<string>"
    ],
    "display_name": "<string>",
    "story_score": 123,
    "member_count": 123,
    "lead_topic_id": "<string>",
    "description": "<string>",
    "latest_signal_at": "2023-11-07T05:31:56Z",
    "coherence_score": 123,
    "projection_refreshed_at": "2023-11-07T05:31:56Z"
  },
  "member_topics": [
    {
      "topic_id": "<string>",
      "topic_name": "<string>",
      "canonical_name": "<string>",
      "vertical": "<string>",
      "status": "<string>",
      "peak_score": 123,
      "discovered_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "category": "<string>",
      "score": 123,
      "relevance_score": 123,
      "engagement": {
        "percentile_score": 123
      },
      "confidence_score": 123,
      "last_signal_at": "2023-11-07T05:31:56Z",
      "source_summary": {},
      "citations": [
        {
          "source_category": "<string>",
          "source_url": "<string>",
          "title": "<string>",
          "display": "",
          "snippet": "<string>",
          "source_authority": 123,
          "engagement_score": 123,
          "published_at": "2023-11-07T05:31:56Z"
        }
      ],
      "entities": [
        {
          "canonical_name": "<string>",
          "entity_type": "<string>",
          "confidence": 123,
          "entity_id": "<string>",
          "entity_subtype": "<string>"
        }
      ],
      "trend": {
        "momentum": 1
      },
      "citation_rate": [
        {
          "day": "<string>",
          "count": 123
        }
      ],
      "narrative": {
        "narrative_id": "<string>",
        "display_name": "<string>",
        "member_count": 123,
        "arc_summary": [
          "<string>"
        ]
      },
      "event_start_at": "2023-11-07T05:31:56Z",
      "event_end_at": "2023-11-07T05:31:56Z"
    }
  ],
  "search_match": {
    "matched_topic_count": 123,
    "matched_topic_ids": [
      "<string>"
    ],
    "match_sources": [
      "<string>"
    ]
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

topic_id
string
required

Breakout topic UUID returned by GET /v1/topics/breakout or POST /v1/topics/breakout/search. Do not pass raw query text or domains.

Query Parameters

include
enum<string>[]

Optional related data to include. Allowed: "citations", "entities".

Available options:
citations,
entities
include_citations
boolean
default:false
deprecated

Deprecated: use include=["citations","entities"] instead.

Response

Successful Response

Response for a cluster/timeline/story surface seeded by one topic.

requested_view
enum<string>
required

Requested derived view

Available options:
cluster,
story,
timeline
seed_topic
BreakoutTopicResponse · object
required

Seed topic

surface
StorySurfaceResponse · object
required

Resolved story surface

member_topics
BreakoutTopicResponse · object[]

Hydrated member topics in surface order

search_match
StorySearchMatchResponse · object | null

Search-only metadata explaining why this story matched